--
--  システム情報
--      t_systeminfo
--

CREATE TABLE t_systeminfo
(
    systemcd        integer NOT NULL,      -- prikey
    validflg        boolean NOT NULL,
    alltitlenum     integer,
    shopnm          character varying(60),
    shopcontent     character varying(1024),
    buynote     character varying(1024),
    meta_keywords     character varying(1024),
    meta_description     character varying(1024),
    company_overview     text,
    privacy_policy       text,
    transaction_law      text,
    permit_rule          text,
    method_payment       text,
    use_rule             text,
    bankname            character varying(255),
    shitenname          character varying(255),
    shitennumberkey     character varying(255),
    kouzadiv            integer,
    kouzanumberkey      character varying(255),
    kouzaname           character varying(255),
    design_css          character varying(255),
    
    delflg          boolean,
    adddate         timestamp without time zone,
    upddate         timestamp without time zone,
    updusrnm        character varying(60),
    updpcnm         character varying(60),
    updcnt          integer,

    PRIMARY KEY(systemcd)
);


-- トリガ
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_systeminfo
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
